version: "3.9"

services:
  api:
    build: .
    depends_on:
      - migrations
    environment:
      ALLOWED_HOSTS: "localhost"
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_HOST: postgres
      POSTGRES_SSLMODE: disable
    ports:
      - 8000:8000

  postgres:
    image: postgres:15-alpine
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_DB: parkeerrechten
    ports:
      - 5432
    volumes:
      - postgres-data:/var/lib/postgresql/data

  migrations:
    build: .
    container_name: parkeerrechten-migrations
    command:
      - python
      - /api/manage.py
      - migrate
    user: 1001:100
    depends_on:
      - postgres
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
      POSTGRES_HOST: postgres
      POSTGRES_SSLMODE: disable

#  fixtures:
#    build: .
#    container_name: parkeerrechten-fixtures
#    command:
#      - python
#      - /api/manage.py
#      - loaddata
#      - parkeerrechten/fixtures/data.json
#    user: 1001:1001
#    depends_on:
#      - migrations
#    environment:
#      POSTGRES_USER: postgres
#      POSTGRES_PASSWORD: postgres
#      POSTGRES_HOST: postgres
#      POSTGRES_SSLMODE: disable

volumes:
  postgres-data:
